Subject: Re: bug#36717: 25.3; greek.el: deprecated vowel+oxia combinations should be replaced with vowel+tonos counterparts

From: Robert Alessi <[email-masked]>
Date: Thu, 18 Jul 2019 22:27:01 +0200

On Thu, Jul 18, 2019 at 08:47:41PM +0200, Robert Pluim wrote:
> >>>>> On Thu, 18 Jul 2019 19:16:39 +0100, "Basil L. Contovounesios" <[email-masked]> said:
>     >> What about GREEK OXIA vs GREEK TONOS as standalone characters? Should
>     >> we replace the former with the latter?
> 
>     Basil> I'm not sure; see my other message.  AFAIK vowels composed with oxia
>     Basil> decompose to their tonos counterparts, but not so oxia itself.  I'm
>     Basil> still confused as to what Quail should do with these equivalences.
>     Basil> Should it always use the simplest possible composition?
> 
> Iʼm not sure either. Neither are combining characters, so I doubt it
> matters, but consistency probably calls for tonos rather than oxia
> (although we can also arrange for both to be available).

Surely, arranging for both to be available would get out of trouble
those who, like me, try to get substitution features to work as
expected.

Robert